
#include "uptime.h"
#include "time.h"





Uptime::Uptime() : m_seconds(0), m_minutes(0), m_hours(0), m_days(0) {

}



void Uptime::exec() {
  static unsigned long lastMillis = 0;


  unsigned long currentMillis = millis();
  if (currentMillis >= (lastMillis + 1000)) {
    m_seconds += ((currentMillis - lastMillis) / 1000);
    if (m_seconds >= 60) {
      m_seconds -= 60;
      m_minutes++;
      if (m_minutes >= 60) {
        m_minutes -= 60;
        m_hours++;
        if (m_hours >= 24) {
          m_hours -= 24;
          m_days++;
        }
      }
    }

    lastMillis = currentMillis;
  }

}
